commit 5a1e1e4069b8486d64c24c81c847438952c74af2
Author: freddy77 <freddy77>
Date:   Thu Jan 28 10:07:18 2010 +0000

    remove wrong TODO comment

diff --git a/ChangeLog b/ChangeLog
index ff372fc..8746c61 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Jan 28 11:06:05 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/sspi.c: remove wrong TODO comment
+
 Thu Jan 28 09:53:35 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/connectparams.c: reuse string constants
 
@@ -2245,4 +2248,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2970 2010/01/28 08:54:35 freddy77 Exp $
+$Id: ChangeLog,v 1.2971 2010/01/28 10:07:18 freddy77 Exp $
diff --git a/src/tds/sspi.c b/src/tds/sspi.c
index d660534..89c4222 100644
--- a/src/tds/sspi.c
+++ b/src/tds/sspi.c
@@ -46,7 +46,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: sspi.c,v 1.6 2010/01/27 15:35:18 freddy77 Exp $");
+TDS_RCSID(var, "$Id: sspi.c,v 1.7 2010/01/28 10:07:18 freddy77 Exp $");
 
 /**
  * \ingroup libtds
@@ -225,7 +225,7 @@ tds_sspi_get_auth(TDSSOCKET * tds)
 	auth->tds_auth.free = tds_sspi_free;
 	auth->tds_auth.handle_next = tds_sspi_handle_next;
 
-	/* TODO use SPNEGO to use Kerberos if possible */
+	/* using Negotiate system will use proper protocol (either NTLM or Kerberos) */
 	if (sec_fn->AcquireCredentialsHandle(NULL, (char *)"Negotiate", SECPKG_CRED_OUTBOUND,
 		NULL, identity.Domain ? &identity : NULL,
 		NULL, NULL, &auth->cred, &ts) != SEC_E_OK) {

